Skip to main content
POST
/
v1
/
conversations
/
{id}
/
messages
Send a message to a conversation
curl --request POST \
  --url https://dev.flextell.ai/api/v1/conversations/{id}/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "message": "<string>",
  "quoted_message_id": 123
}
'
{
  "success": "<string>",
  "data": {
    "status": "<string>",
    "message_id": "<string>",
    "conversation_id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The conversation identifier

Body

application/json
message
string
required
Maximum string length: 5000
quoted_message_id
integer | null

Response

success
string
required
data
object
required